# ORCA DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords='another_water.xyz')

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=water,
            method='dft',
            functional='b3lyp',
            basis='def2-TZVPP',
            ri='def2/J RIJCOSX',
            freetext={'!':'TightScf', '%scf':'    CNVSOSCF true'})

sp = SP(theory=orca)

sp.run(dryrun=False)

ecalc = sp.result.energy

# ORCA 5.0.3
eref = -76.37629249

testutils.validate(ecalc, eref)
